Open CASCADE Technology: BOPDS_Interf Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Protected Member Functions | Protected Attributes
BOPDS_Interf Class Reference

`#include <BOPDS_Interf.hxx>`

Inheritance diagram for BOPDS_Interf:
[legend]

## Public Member Functions
void | SetIndices (const Standard_Integer theIndex1, const Standard_Integer theIndex2)
void | Indices (Standard_Integer &theIndex1, Standard_Integer &theIndex2) const
void | SetIndex1 (const Standard_Integer theIndex)
void | SetIndex2 (const Standard_Integer theIndex)
Standard_Integer | Index1 () const
Standard_Integer | Index2 () const
Standard_Integer | OppositeIndex (const Standard_Integer theI) const
Standard_Boolean | Contains (const Standard_Integer theIndex) const
void | SetIndexNew (const Standard_Integer theIndex)
Standard_Integer | IndexNew () const
Standard_Boolean | HasIndexNew (Standard_Integer &theIndex) const
Standard_Boolean | HasIndexNew () const

## Protected Member Functions
| BOPDS_Interf ()
| BOPDS_Interf (const Handle< NCollection_BaseAllocator > &theAllocator)
virtual | ~BOPDS_Interf ()

## Protected Attributes
Standard_Integer | myIndex1
Standard_Integer | myIndex2
Standard_Integer | myIndexNew
Handle< NCollection_BaseAllocator > | myAllocator

## Detailed Description

The class BOPDS_Interf is is to store the information about the interference between two shapes. The class BOPDS_Interf is root class

## Constructor & Destructor Documentation

BOPDS_Interf::BOPDS_Interf | ( |  | ) |
| inlineprotected

BOPDS_Interf::BOPDS_Interf | ( | const Handle< NCollection_BaseAllocator > & | theAllocator | ) |
| inlineprotected

virtual BOPDS_Interf::~BOPDS_Interf | ( |  | ) |
| inlineprotectedvirtual

## Member Function Documentation

Standard_Boolean BOPDS_Interf::Contains | ( | const Standard_Integer | theIndex | ) | const
| inline

Returns true if the interference contains given index

Parameters

  theIndex | the index

Returns
  true if the interference contains given index

Standard_Boolean BOPDS_Interf::HasIndexNew | ( | Standard_Integer & | theIndex | ) | const
| inline

Returns true if the interference has index of new shape that is equal to the given index

Parameters

  theIndex | the index

Returns
  true if the interference has index of new shape that is equal to the given index

Standard_Boolean BOPDS_Interf::HasIndexNew | ( |  | ) | const
| inline

Returns true if the interference has index of new shape the index

Returns
  true if the interference has index of new shape

Standard_Integer BOPDS_Interf::Index1 | ( |  | ) | const
| inline

Returns the index of the first interferred shape

Returns
  index of the first shape

Standard_Integer BOPDS_Interf::Index2 | ( |  | ) | const
| inline

Returns the index of the second interferred shape

Returns
  index of the second shape

Standard_Integer BOPDS_Interf::IndexNew | ( |  | ) | const
| inline

Returns the index of new shape

Returns
  theIndex the index of new shape

void BOPDS_Interf::Indices | ( | Standard_Integer & | theIndex1,
|  | Standard_Integer & | theIndex2
| ) |  | const
| inline

Returns the indices of interferred shapes

Parameters

  theIndex1 | index of the first shape
  theIndex2 | index of the second shape

Standard_Integer BOPDS_Interf::OppositeIndex | ( | const Standard_Integer | theI | ) | const
| inline

Returns the index of that are opposite to the given index

Parameters

  theI | the index

Returns
  index of opposite shape

void BOPDS_Interf::SetIndex1 | ( | const Standard_Integer | theIndex | ) |
| inline

Sets the index of the first interferred shape

Parameters

  theIndex | index of the first shape

void BOPDS_Interf::SetIndex2 | ( | const Standard_Integer | theIndex | ) |
| inline

Sets the index of the second interferred shape

Parameters

  theIndex | index of the second shape

void BOPDS_Interf::SetIndexNew | ( | const Standard_Integer | theIndex | ) |
| inline

Sets the index of new shape

Parameters

  theIndex | the index

void BOPDS_Interf::SetIndices | ( | const Standard_Integer | theIndex1,
|  | const Standard_Integer | theIndex2
| ) |  |
| inline

Sets the indices of interferred shapes

Parameters

  theIndex1 | index of the first shape
  theIndex2 | index of the second shape

## Field Documentation

Handle< NCollection_BaseAllocator > BOPDS_Interf::myAllocator
| protected

Standard_Integer BOPDS_Interf::myIndex1
| protected

Standard_Integer BOPDS_Interf::myIndex2
| protected

Standard_Integer BOPDS_Interf::myIndexNew
| protected

The documentation for this class was generated from the following file:

- BOPDS_Interf.hxx